Uploaded image for project: 'Apache NiFi'
  1. Apache NiFi
  2. NIFI-11433

Upgrade moment to 2.29.4

Agile BoardAttach filesAttach ScreenshotVotersWatch issueWatchersCreate sub-taskLinkCloneUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

Details

    • Improvement
    • Status: Resolved
    • Major
    • Resolution: Fixed
    • 1.21.0
    • 2.0.0-M1, 1.22.0
    • None
    • None

    Description

      Upgrade d3 to 7.6.1 to be able to remove d3-selection-multi.

      Upgrade Angular and related packages to 1.8.3

      Upgrade to jQuery 3.6.4

      Upgrade to slickgrid 2.4.45

      Upgrade moment to 2.29.4 to remediate vulnerability [Regular Expression Denial of Service (ReDoS) in moment | CVE-2022-31129 | Snyk|https://security.snyk.io/vuln/SNYK-JS-MOMENT-2944238]

      Attachments

        Issue Links

        Activity

          This comment will be Viewable by All Users Viewable by All Users
          Cancel

          People

            scottyaslan Scott Aslan
            msr1716 Mike R
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:

              Time Tracking

              Estimated:
              Original Estimate - Not Specified
              Not Specified
              Remaining:
              Remaining Estimate - 0h
              0h
              Logged:
              Time Spent - 50m
              50m

              Slack

                Issue deployment